Generate a receipt
curl --request POST \
--url https://api-sandbox.argyle.com/v2/receipts \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"user": "018051aa-f7a9-a0db-2f38-6cfa325e9d69"
}
'import requests
url = "https://api-sandbox.argyle.com/v2/receipts"
payload = { "user": "018051aa-f7a9-a0db-2f38-6cfa325e9d69" }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({user: '018051aa-f7a9-a0db-2f38-6cfa325e9d69'})
};
fetch('https://api-sandbox.argyle.com/v2/receipts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"200 OK\nContent-Type: application/pdf\nContent-Disposition: attachment; filename=\"receipt.pdf\"\nContent-Length: 12345\n\n[PDF binary stream omitted]\n"Receipts
Receipts
Returns a PDF listing all billable transactions associated with the user.
POST
/
v2
/
receipts
Generate a receipt
⌘I
